Bug 491805 - Review Request: django-sct - A collection of Django applications for building community websites
Review Request: django-sct - A collection of Django applications for building...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-24 01:26 EDT by Ignacio Vazquez-Abrams
Modified: 2009-04-08 09:47 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-08 09:47:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ignacio Vazquez-Abrams 2009-03-24 01:26:56 EDT
Spec URL: http://ivazquez.fedorapeople.org/packages/django-sct/django-sct.spec
SRPM URL: http://ivazquez.fedorapeople.org/packages/django-sct/django-sct-0.5-1.src.rpm
Description: Sphene Community Tools is a collection of Django applications which can be used to build community websites, news sites or blogs.
Comment 1 Parag AN(पराग) 2009-03-24 01:57:57 EDT
rpmlint gave 

django-sct.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/django-sct-0.5/communitydraft/community/locale/fr/LC_MESSAGES/django.po

django-sct.noarch: E: zero-length /usr/share/doc/django-sct-0.5/communitydraft/community/sitetemplates/_head.html

django-sct.noarch: E: non-executable-script /usr/lib/python2.6/site-packages/sphene/contrib/libs/markdown/mdx_wikilink.py 0644

django-sct.noarch: E: non-executable-script /usr/lib/python2.6/site-packages/sphene/contrib/libs/codecoverage/coverage.py 0644

django-sct.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/django-sct-0.5/communitydraft/README

django-sct.noarch: E: non-executable-script /usr/lib/python2.6/site-packages/sphene/contrib/libs/markdown/markdown.py 0644

django-sct.noarch: W: file-not-in-%lang /usr/share/doc/django-sct-0.5/communitydraft/community/locale/de/LC_MESSAGES/django.mo

django-sct.noarch: W: file-not-in-%lang /usr/share/doc/django-sct-0.5/communitydraft/community/locale/en/LC_MESSAGES/django.mo

django-sct.noarch: W: file-not-in-%lang /usr/share/doc/django-sct-0.5/communitydraft/community/locale/fr/LC_MESSAGES/django.mo
Comment 2 Ignacio Vazquez-Abrams 2009-03-27 07:43:39 EDT
(In reply to comment #1)
> rpmlint gave 

> django-sct.noarch: E: zero-length
> /usr/share/doc/django-sct-0.5/communitydraft/community/sitetemplates/_head.html

WONTFIX
Empty templates are not a problem in Django.

> django-sct.noarch: E: non-executable-script
> /usr/lib/python2.6/site-packages/sphene/contrib/libs/markdown/mdx_wikilink.py
> 0644
> 
> django-sct.noarch: E: non-executable-script
> /usr/lib/python2.6/site-packages/sphene/contrib/libs/codecoverage/coverage.py
> 0644
> 
> django-sct.noarch: E: non-executable-script
> /usr/lib/python2.6/site-packages/sphene/contrib/libs/markdown/markdown.py 0644

WONTFIX
Waste of time and energy to fix.

> django-sct.noarch: W: file-not-in-%lang
> /usr/share/doc/django-sct-0.5/communitydraft/community/locale/de/LC_MESSAGES/django.mo
> 
> django-sct.noarch: W: file-not-in-%lang
> /usr/share/doc/django-sct-0.5/communitydraft/community/locale/en/LC_MESSAGES/django.mo
> 
> django-sct.noarch: W: file-not-in-%lang
> /usr/share/doc/django-sct-0.5/communitydraft/community/locale/fr/LC_MESSAGES/django.mo  

WONTFIX
These are documentation files.

Updated.

http://ivazquez.fedorapeople.org/packages/django-sct/django-sct.spec
http://ivazquez.fedorapeople.org/packages/django-sct/django-sct-0.5-2.src.rpm
Comment 3 Parag AN(पराग) 2009-03-30 03:14:08 EDT
Review:
+ package builds in mock (rawhide i586).
koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1264873
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
e5980b3a9d6653adbe42107d1810c638  sct-0.5.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ BuildRequires are proper.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Not a GUI App.
Comment 4 Parag AN(पराग) 2009-03-31 03:49:07 EDT
APPROVED.
Comment 5 Ignacio Vazquez-Abrams 2009-04-07 05:32:14 EDT
New Package CVS Request
=======================
Package Name: django-sct
Short Description: A collection of Django applications for building community websites
Owners: ivazquez
Branches: F-10
Comment 6 Kevin Fenzi 2009-04-07 22:40:46 EDT
cvs done.
Comment 7 Ignacio Vazquez-Abrams 2009-04-08 09:47:35 EDT
Built for F-10 and Rawhide.

Note You need to log in before you can comment on or make changes to this bug.